#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libcdio-paranoia
Version		:	10.2+2.0.0
Release		:	17.2.0.rel%{?dist}
Summary		:	CD paranoia on top of libcdio
Group		:	User Interface/X

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+ and LGPLv2+
URL		:	https://ftp.gnu.org/gnu/libcdio

Source0		:	%{name}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
BuildRequires	:	libcdio

Requires	:	libcdio
#-----------------------------------------------------------------------------
%description
This CDDA reader distribution ('libcdio-cdparanoia') reads audio from
the CDROM directly as data, with no analog step between, and writes the
data to a file or pipe as .wav, .aifc or as raw 16 bit linear PCM.

Split off from libcdio to allow more flexible licensing and to be
compatible with cdparanoia-III-10.2's license. And also, libcdio is
just too large.

%prep
%setup -q 

#---------------------------------------------------------
#building application
%build

./configure							\
        --prefix=%{_prefix}					\
        --includedir=%{_includedir}				\
        --sysconfdir=%{_sysconfdir}				\
	--exec-prefix=%{_exec_prefix}				\
        --sbindir=%{_sbindir}					\
	--mandir=%{_mandir}					\
	--libdir=%{_libdir}					\
	--datadir=%{_datadir}					\
	--infodir=%{_infodir}					\
	--disable-static					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}


%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README.md
%{_bindir}/cd-paranoia
%{_includedir}/cdio/paranoia/*.h
%{_libdir}/libcdio_*.so*
%{_libdir}/pkgconfig/libcdio_*.pc
%{_mandir}/*/man1/cd-paranoia.1.gz
%{_mandir}/man1/cd-paranoia.1.gz

%post

%postun

%changelog
